
using System;
using System.Windows.Forms;
using J4L.QRCode;


namespace MyForm 
{
	class BarcodeForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.ComboBox cFormat;
		private System.Windows.Forms.Button btnRefresh;
		private System.Windows.Forms.ComboBox cEC;
		private System.Windows.Forms.Button btnExit;
		private System.Windows.Forms.TextBox textAppIdentifier;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.TextBox textTotal;
		private System.Windows.Forms.TabPage tabPage2;
		private System.Windows.Forms.TextBox cModuleSize;
		private System.Windows.Forms.CheckBox checkStructuredAppend;
		private System.Windows.Forms.TextBox txtData;
		private System.Windows.Forms.TabPage tabPage;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.ComboBox cEncoding;
		private System.Windows.Forms.TextBox textIndex;
		private System.Windows.Forms.TextBox textMargin;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.Label label2;
		
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label4;
		
		private System.Windows.Forms.CheckBox chkAutoconfigurate;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.TabControl tabControl;
		private System.Windows.Forms.ComboBox cFNC1;
		private System.Windows.Forms.TabPage tabOutput;
		
		private QRCode bc;		
		
		
		public BarcodeForm()
		{
			InitializeComponent();
			

			
			bc.AutoConfigurate=true;
			cEncoding.SelectedIndex=0;
			
			btnRefreshClick(null,null);
		}
	
		// THIS METHOD IS MAINTAINED BY THE FORM DESIGNER
		// DO NOT EDIT IT MANUALLY! YOUR CHANGES ARE LIKELY TO BE LOST
		void btnRefreshClick(object sender, System.EventArgs e)
		{
			
		//encoding
		bc.Encoding=QRCode.ENC_AUTO;
		if (cEncoding.SelectedIndex!=1) {			
			if (((string) cEncoding.SelectedItem).Equals("BYTE")) bc.Encoding=QRCode.ENC_BYTE;
			if (((string) cEncoding.SelectedItem).Equals("NUMERIC")) bc.Encoding=QRCode.ENC_NUMERIC;
			if (((string) cEncoding.SelectedItem).Equals("ALPHA")) bc.Encoding=QRCode.ENC_ALPHA;
			if (((string) cEncoding.SelectedItem).Equals("KANJI")) bc.Encoding=QRCode.ENC_KANJI;
		}
		
		//value
		bc.Code=txtData.Text;
		bc.ProcessTilde=true;
		//format
		bc.PreferredVersion=1;
		if (cFormat.SelectedIndex>=0)  {
			//Console.WriteLine("selected version si " + cFormat.SelectedItem);
			bc.PreferredVersion=Convert.ToInt32(cFormat.SelectedItem);
		}
					
		bc.Fnc1Mode=QRCode.FNC1_MODE_NO;
		if (this.cFNC1.SelectedIndex>=0) {
			if (((string) cFNC1.SelectedItem).Equals("FIRST")) bc.Fnc1Mode=QRCode.FNC1_MODE_FIRST;
			if (((string) cFNC1.SelectedItem).Equals("SECOND")) bc.Fnc1Mode=QRCode.FNC1_MODE_SECOND;
		}


		bc.AutoConfigurate=this.chkAutoconfigurate.Checked;
		//dots size
		bc.ModuleSize=Convert.ToInt32(cModuleSize.Text);
		//margin
		bc.Margin=Convert.ToInt32(textMargin.Text);
		//rune
		bc.ApplicationIndicator=(byte) Convert.ToInt32(textAppIdentifier.Text);
		//correction level
		bc.ErrorCorrectionLevel=QRCode.CORRECTION_LEVEL_L;
		if (cEC.SelectedIndex>=0) {
			if (((string) cEC.SelectedItem).Equals("H"))  bc.ErrorCorrectionLevel=QRCode.CORRECTION_LEVEL_H;
			if (((string) cEC.SelectedItem).Equals("Q"))  bc.ErrorCorrectionLevel=QRCode.CORRECTION_LEVEL_Q;
			if (((string) cEC.SelectedItem).Equals("M"))  bc.ErrorCorrectionLevel=QRCode.CORRECTION_LEVEL_M;
		}

		bc.Redraw=true;

		//structured append
		bc.StructuredAppend=false;
		if (checkStructuredAppend.Checked)   bc.StructuredAppend=true;


		bc.StructuredAppendCounter=1;
		bc.StructuredAppendCounter=Convert.ToInt32(textTotal.Text);

		bc.StructuredAppendIndex=1;
		bc.StructuredAppendIndex=Convert.ToInt32(textIndex.Text);

		bc.Invalidate();
		this.tabControl.SelectedIndex = 0;	
		}
		

		
		void btnExitClick(object sender, System.EventArgs e)
		{
	this.Close();		
		}
		
		void InitializeComponent() {
			this.cFNC1 = new System.Windows.Forms.ComboBox();
			this.tabControl = new System.Windows.Forms.TabControl();
			
			this.label9 = new System.Windows.Forms.Label();
			this.chkAutoconfigurate = new System.Windows.Forms.CheckBox();
			
			this.label4 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.label7 = new System.Windows.Forms.Label();
			
			this.label2 = new System.Windows.Forms.Label();
			this.label8 = new System.Windows.Forms.Label();
			this.textMargin = new System.Windows.Forms.TextBox();
			this.textIndex = new System.Windows.Forms.TextBox();
			this.cEncoding = new System.Windows.Forms.ComboBox();
			this.label11 = new System.Windows.Forms.Label();
			this.label10 = new System.Windows.Forms.Label();
			this.tabPage = new System.Windows.Forms.TabPage();
			this.txtData = new System.Windows.Forms.TextBox();
			this.checkStructuredAppend = new System.Windows.Forms.CheckBox();
			this.cModuleSize = new System.Windows.Forms.TextBox();
			this.tabPage2 = new System.Windows.Forms.TabPage();
			this.tabOutput= new System.Windows.Forms.TabPage();
			this.textTotal = new System.Windows.Forms.TextBox();
			this.label3 = new System.Windows.Forms.Label();
			this.textAppIdentifier = new System.Windows.Forms.TextBox();
			this.bc = new QRCode();
			this.btnExit = new System.Windows.Forms.Button();
			this.cEC = new System.Windows.Forms.ComboBox();
			this.btnRefresh = new System.Windows.Forms.Button();
			this.cFormat = new System.Windows.Forms.ComboBox();
			
			
			// 
			// cFNC1
			// 
			this.cFNC1.Items.Add("NO");
            this.cFNC1.Items.Add("FIRST");
            this.cFNC1.Items.Add("SECOND");

			this.cFNC1.Location = new System.Drawing.Point(96, 112);
			
			this.cFNC1.Size = new System.Drawing.Size(112, 21);
			
			this.cFNC1.Text = "NO";
			// 
			// tabControl
			// 
			this.tabControl.Controls.Add(this.tabOutput);
			this.tabControl.Controls.Add(this.tabPage);
			this.tabControl.Controls.Add(this.tabPage2);
			this.tabControl.Location = new System.Drawing.Point(8, 4);
			
			this.tabControl.SelectedIndex = 0;
			this.tabControl.Size = new System.Drawing.Size(440, 222);
			
			this.tabControl.SelectedIndexChanged += new System.EventHandler(this.TabControlSelectedIndexChanged);
			// 
			// label9
			// 
			this.label9.Location = new System.Drawing.Point(224, 48);
			
			this.label9.Size = new System.Drawing.Size(96, 23);
			
			this.label9.Text = "Correction Level";
			// 
			// chkAutoconfigurate
			// 
			
			this.chkAutoconfigurate.Location = new System.Drawing.Point(224, 80);
			
			this.chkAutoconfigurate.Size = new System.Drawing.Size(168, 16);
			
			this.chkAutoconfigurate.Text = "Autoconfigurate";
			
			this.chkAutoconfigurate.Checked=true;
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(16, 16);
			
			this.label4.Size = new System.Drawing.Size(40, 23);
			
			this.label4.Text = "Data";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(16, 112);
			
			this.label5.Size = new System.Drawing.Size(64, 23);
			
			this.label5.Text = "Fnc1";
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(16, 48);
			
			this.label6.Size = new System.Drawing.Size(64, 23);
			
			this.label6.Text = "Encoding";
			this.label6.Click += new System.EventHandler(this.Label6Click);
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(16, 80);
			
			this.label7.Size = new System.Drawing.Size(64, 23);
			
			this.label7.Text = "Version";

			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(16, 48);
			
			this.label2.Size = new System.Drawing.Size(112, 16);
			
			this.label2.Text = "Index";
			// 
			// label8
			// 
			this.label8.Location = new System.Drawing.Point(16, 144);
			
			this.label8.Size = new System.Drawing.Size(80, 23);
			
			this.label8.Text = "Module size";
			// 
			// textMargin
			// 
			this.textMargin.Location = new System.Drawing.Point(336, 144);
			
			this.textMargin.Size = new System.Drawing.Size(80, 20);
			
			this.textMargin.Text = "20";
			//
			// textIndex
			// 
			this.textIndex.Location = new System.Drawing.Point(144, 48);
			
			
			this.textIndex.Text = "1";
			// 
			// cEncoding
			// 
			this.cEncoding.Items.Add("AUTO");
            this.cEncoding.Items.Add("ALPHA");
            this.cEncoding.Items.Add("NUMERIC");
            this.cEncoding.Items.Add("BYTE");
            this.cEncoding.Items.Add("KANJI");
		
			this.cEncoding.Location = new System.Drawing.Point(96, 48);
			
			this.cEncoding.Size = new System.Drawing.Size(112, 21);
			
			this.cEncoding.Text = "AUTO";
			// 
			// label11
			// 
			this.label11.Location = new System.Drawing.Point(224, 144);
			
			this.label11.Size = new System.Drawing.Size(96, 23);
			
			this.label11.Text = "Margin";
			// 
			// label10
			// 
			this.label10.Location = new System.Drawing.Point(224, 112);
			
			this.label10.Size = new System.Drawing.Size(96, 23);
			
			this.label10.Text = "App. Indicator";
			// 
			// tabPage
			// 
			this.tabPage.Controls.Add(this.cEC);
			this.tabPage.Controls.Add(this.chkAutoconfigurate);
			this.tabPage.Controls.Add(this.textMargin);
			this.tabPage.Controls.Add(this.label11);
			this.tabPage.Controls.Add(this.textAppIdentifier);
			this.tabPage.Controls.Add(this.label10);
			this.tabPage.Controls.Add(this.label9);
			this.tabPage.Controls.Add(this.cModuleSize);
			this.tabPage.Controls.Add(this.label8);
			this.tabPage.Controls.Add(this.cFormat);
			this.tabPage.Controls.Add(this.label7);
			this.tabPage.Controls.Add(this.cEncoding);
			this.tabPage.Controls.Add(this.label6);
			this.tabPage.Controls.Add(this.cFNC1);
			this.tabPage.Controls.Add(this.label5);
			this.tabPage.Controls.Add(this.txtData);
			this.tabPage.Controls.Add(this.label4);
			this.tabPage.Location = new System.Drawing.Point(4, 22);
			
			this.tabPage.Size = new System.Drawing.Size(432, 198);
			
			this.tabPage.Text = "Data";
			
			this.tabOutput.Location = new System.Drawing.Point(4, 22);			
			this.tabOutput.Size = new System.Drawing.Size(432, 198);			
			this.tabOutput.Text = "Symbol";
			// 
			// txtData
			// 
			this.txtData.Location = new System.Drawing.Point(56, 16);
			
			this.txtData.Size = new System.Drawing.Size(296, 20);
			
			this.txtData.Text = "123456789012";
			// 
			// checkStructuredAppend
			// 
			this.checkStructuredAppend.Location = new System.Drawing.Point(16, 16);
			
			this.checkStructuredAppend.Size = new System.Drawing.Size(208, 24);
			
			this.checkStructuredAppend.Text = "Enable Structured Append";
			// 
			// cModuleSize
			// 
			this.cModuleSize.Location = new System.Drawing.Point(96, 144);
			
			this.cModuleSize.Size = new System.Drawing.Size(112, 20);
			
			this.cModuleSize.Text = "4";
			// 
			// tabPage2
			// 
			this.tabPage2.Controls.Add(this.checkStructuredAppend);
			this.tabPage2.Controls.Add(this.textTotal);
			this.tabPage2.Controls.Add(this.textIndex);
			this.tabPage2.Controls.Add(this.label3);
			this.tabPage2.Controls.Add(this.label2);
			this.tabPage2.Location = new System.Drawing.Point(4, 22);
			
			this.tabPage2.Size = new System.Drawing.Size(432, 198);
			
			this.tabPage2.Text = "Structured Append";
			// 
			// textTotal
			// 
			this.textTotal.Location = new System.Drawing.Point(144, 80);
			
			
			this.textTotal.Text = "2";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(16, 80);
			
			this.label3.Size = new System.Drawing.Size(112, 16);
			
			this.label3.Text = "Total";
			// 
			// textAppIdentifier
			// 
			this.textAppIdentifier.Location = new System.Drawing.Point(336, 112);
			
			this.textAppIdentifier.Size = new System.Drawing.Size(80, 20);
			
			this.textAppIdentifier.Text = "0";
			// 
			// bc
			// 
			this.bc.Location = new System.Drawing.Point(8, 8);
			
			this.bc.Size = new System.Drawing.Size(440, 176);
			
			// 
			// btnExit
			// 
			this.btnExit.Location = new System.Drawing.Point(336, 230);
			
			
			
			this.btnExit.Click += new System.EventHandler(this.btnExitClick);
			// 
			// cEC
			// 
			this.cEC.Items.Add("L");
            this.cEC.Items.Add("M");
            this.cEC.Items.Add("Q");
            this.cEC.Items.Add("H");

			this.cEC.Location = new System.Drawing.Point(336, 48);
			
			this.cEC.Size = new System.Drawing.Size(88, 21);
			
			this.cEC.Text = "L";
			// 
			// btnRefresh
			// 
			this.btnRefresh.Location = new System.Drawing.Point(48, 230);
			
			
			this.btnRefresh.Text = "Refresh";
			this.btnRefresh.Click += new System.EventHandler(this.btnRefreshClick);
			// 
			// cFormat
			// 
			this.cFormat.Items.Add("1");
			this.cFormat.Items.Add("2");
			this.cFormat.Items.Add("3");
			this.cFormat.Items.Add("4");
			this.cFormat.Items.Add("5");
			this.cFormat.Items.Add("6");
			this.cFormat.Items.Add("7");
			this.cFormat.Items.Add("8");
			this.cFormat.Items.Add("9");
			this.cFormat.Items.Add("10");
			this.cFormat.Items.Add("11");
			this.cFormat.Items.Add("12");
						this.cFormat.Items.Add("13");
						this.cFormat.Items.Add("14");
						this.cFormat.Items.Add("15");
						this.cFormat.Items.Add("16");
						this.cFormat.Items.Add("17");
						this.cFormat.Items.Add("18");
						this.cFormat.Items.Add("19");
						this.cFormat.Items.Add("20");
						this.cFormat.Items.Add("21");
						this.cFormat.Items.Add("22");
						this.cFormat.Items.Add("23");
						this.cFormat.Items.Add("24");
						this.cFormat.Items.Add("25");
						this.cFormat.Items.Add("26");
						this.cFormat.Items.Add("27");
						this.cFormat.Items.Add("28");
						this.cFormat.Items.Add("29");
						this.cFormat.Items.Add("30");
						this.cFormat.Items.Add("31");
						this.cFormat.Items.Add("32");
						this.cFormat.Items.Add("33");
						this.cFormat.Items.Add("34");
						this.cFormat.Items.Add("35");
						this.cFormat.Items.Add("36");
						this.cFormat.Items.Add("37");
			this.cFormat.Items.Add("38");
			this.cFormat.Items.Add("39");
		this.cFormat.Items.Add("40");
			this.cFormat.Location = new System.Drawing.Point(96, 80);
			
			this.cFormat.Size = new System.Drawing.Size(112, 21);
			
			this.cFormat.Text = "1";
			
			this.tabOutput.Controls.Add(this.bc);
			// 
			// BarcodeForm
			// 
			
			this.ClientSize = new System.Drawing.Size(456, 282);
			this.Controls.Add(this.tabControl);
			this.Controls.Add(this.btnExit);
			this.Controls.Add(this.btnRefresh);
			
			
			
			this.Text = "QRCode Code Demo";
		}
			
	public static void Main(string[] args)
		{
			Application.Run(new BarcodeForm());
		}
		
		void Label6Click(object sender, System.EventArgs e)
		{
			
		}
		
		void TabControlSelectedIndexChanged(object sender, System.EventArgs e)
		{
			
		}
		
	}			
}
